%bcond_with doc_pdf

Summary:        List of registered asynchronous callbacks
Name:           python-aiosignal
Version:        1.3.1
Release:        6%{?dist}
License:        Apache-2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        %{pypi_source aiosignal}

BuildRequires:  python3-devel python3dist(pytest) python3dist(pytest-asyncio)

%if %{with doc_pdf}
BuildRequires:  make python3dist(sphinx) python3dist(sphinxcontrib-asyncio) python3-sphinx-latex latexmk
%endif
BuildArch:      noarch

%description
A project to manage callbacks in asyncio projects.

%package -n python3-aiosignal
Summary:        List of registered asynchronous callbacks

%description -n python3-aiosignal
A project to manage callbacks in asyncio projects.

%prep
%autosetup -n aiosignal-%{version} -p1
echo 'intersphinx_mapping.clear()' >> docs/conf.py
sed -r -i 's/--cov[^[:blank:]]*//g' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc_pdf}
%make_build -C docs latex \
    SPHINXBUILD='sphinx-build' SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/_build/latex LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files aiosignal

%check
%pytest

%files -n python3-aiosignal -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc CHANGES.rst
%doc CONTRIBUTORS.txt
%doc README.rst
%if %{with doc_pdf}
%doc docs/_build/latex/aiosignal.pdf
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 1.3.1-1
- initial build
